{"openapi":"3.0.0","info":{"title":"Catalog API","description":"The Catalog API empowers merchants to seamlessly manage their product information. It enables the creation, modification, and deletion of product details, including attributes like images and specifications. SKU management covers product variations. This API also supports organizing products into categories, collections, and manage brands.\r\n\r\n> ⚠️ The default rate limit for the Catalog API is 45,000 requests per minute per account, and 15,000 requests per minute per endpoint.\r\n\r\n> ⚠️ The SKU ID is an integer with a maximum value of 2,147,483,647.\r\n\r\n> Check the [Catalog onboarding guide](https://developers.vtex.com/docs/guides/catalog-overview), created to improve the onboarding experience for developers at VTEX. It assembles all documentation on our Developer Portal about Catalog and is organized by focusing on the developer's journey.\r\n\r\n## Common parameters\r\n\r\n| **Parameter name** | **Description** | **Type** |\r\n| :---: | :--- | :--- |\r\n| `{{accountName}}` | Name of the VTEX account. Used as part of the URL. | Server variable. |\r\n| `{{environment}}` | Environment to use. Used as part of the URL. The default value is `vtexcommercestable`. | Server variable. |\r\n| `X-VTEX-API-AppKey` | Unique identifier of the [API key](https://developers.vtex.com/docs/guides/api-authentication-using-api-keys). | Authentication header. Must be used together with `X-VTEX-API-AppToken`. Not necessary when using `VtexIdclientAutCookie`. |\r\n| `X-VTEX-API-AppToken` | Secret token of the [API key](https://developers.vtex.com/docs/guides/api-authentication-using-api-keys). | Authentication header. Must be used together with X-VTEX-API-AppKey. Not necessary when using `VtexIdclientAutCookie`. |\r\n| `VtexIdclientAutCookie` | [User token](https://developers.vtex.com/docs/guides/api-authentication-using-user-tokens), valid for 24 hours. | Authentication header. Not necessary when using `X-VTEX-API-AppKey` and `X-VTEX-API-AppToken`. |","version":"1.0"},"servers":[{"url":"https://{accountName}.{environment}.com.br","description":"VTEX server URL.","variables":{"accountName":{"description":"Name of the VTEX account. Used as part of the URL.","default":"apiexamples"},"environment":{"description":"Environment to use. Used as part of the URL.","enum":["vtexcommercestable"],"default":"vtexcommercestable"}}}],"paths":{"/api/catalog_system/pvt/products/GetProductAndSkuIds":{"get":{"tags":["Product"],"summary":"Get product and SKU IDs","description":"Retrieves the IDs of products and SKUs.\r\n\r\n>⚠️ The response body is limited to 250 records, but you can use the query params `_from` and `_to`.\r\n\r\n## Permissions\r\n\r\nAny user or [API key](https://developers.vtex.com/docs/guides/api-authentication-using-api-keys) must have at least one of the appropriate [License Manager resources](https://help.vtex.com/en/tutorial/license-manager-resources--3q6ztrC8YynQf6rdc6euk3) to be able to successfully run this request. Otherwise they will receive a status code `403` error. These are the applicable resources for this endpoint:\r\n\r\n| **Product** | **Category** | **Resource** |\r\n| --------------- | ----------------- | ----------------- |\r\n| Catalog | Content | **Product management** |\r\n\r\nThere are no applicable [predefined roles](https://help.vtex.com/en/tutorial/predefined-roles--jGDurZKJHvHJS13LnO7Dy) for this resource list. You must [create a custom role](https://help.vtex.com/en/tutorial/roles--7HKK5Uau2H6wxE1rH5oRbc#creating-a-role) and add at least one of the resources above in order to use this endpoint. To learn more about machine authentication at VTEX, see [Authentication overview](https://developers.vtex.com/docs/guides/authentication).\r\n\r\n>❗ To prevent integrations from having excessive permissions, consider the [best practices for managing API keys](https://help.vtex.com/en/tutorial/best-practices-api-keys--7b6nD1VMHa49aI5brlOvJm) when assigning License Manager roles to integrations.","operationId":"ProductAndSkuIds","parameters":[{"name":"categoryId","in":"query","description":"ID of the category from which you need to retrieve products and SKUs.","required":false,"style":"form","explode":true,"schema":{"type":"integer","format":"int32","example":1}},{"name":"_from","in":"query","description":"Insert the ID that will start the request result.","required":false,"style":"form","explode":true,"schema":{"type":"integer","format":"int32","example":1}},{"name":"_to","in":"query","description":"Insert the ID that will end the request result.","required":false,"style":"form","explode":true,"schema":{"type":"integer","format":"int32","example":10}},{"name":"Content-Type","in":"header","description":"Type of the content being sent.","required":true,"style":"simple","schema":{"type":"string","default":"application/json"}},{"name":"Accept","in":"header","description":"HTTP Client Negotiation _Accept_ Header. Indicates the types of responses the client can understand.","required":true,"style":"simple","schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"example":{"data":{"1":[1,123456,310118449,310118489,7,2],"2":[3,310118450,310118451,4,8],"3":[5],"4":[310118448],"5":[310118465],"6":[],"7":[310118452],"8":[310118453,310118459,310118463],"9":[310118454,310118455,310118456,310118457,310118458,310118460,310118461,310118462,310118464],"10":[],"11":[],"12":[310118490]},"range":{"total":12,"from":1,"to":20}},"schema":{"type":"object","properties":{"data":{"type":"object","description":"Object composed of product IDs and SKU IDs, where the parent ID is from products and the children IDs are from SKUs.","properties":{"Product ID":{"type":"array","description":"Array with SKU IDs of a certain product.","items":{"type":"integer","description":"Product SKU ID."}}}},"range":{"type":"object","description":"Object with information about the product and SKUs list.","properties":{"total":{"type":"integer","description":"Total quantity of products."},"from":{"type":"integer","description":"Initial product ID."},"to":{"type":"integer","description":"Final product ID."}}}}}}}}}}},"/api/catalog/pvt/product/{productId}":{"get":{"tags":["Product"],"summary":"Get product by ID","description":"Retrieves a specific product by its ID. The response body fields are exactly the information needed to create a new product. \r\n> 📘 Onboarding guide \r\n>\r\n> Check the [Catalog onboarding guide](https://developers.vtex.com/vtex-rest-api/docs/catalog-overview). We created this guide to improve the onboarding experience for developers at VTEX. It assembles all documentation on our Developer Portal about Catalog and is organized by focusing on the developer's journey.\r\n\r\n## Permissions\r\n\r\nAny user or [API key](https://developers.vtex.com/docs/guides/api-authentication-using-api-keys) must have at least one of the appropriate [License Manager resources](https://help.vtex.com/en/tutorial/license-manager-resources--3q6ztrC8YynQf6rdc6euk3) to be able to successfully run this request. Otherwise they will receive a status code `403` error. These are the applicable resources for this endpoint:\r\n\r\n| **Product** | **Category** | **Resource** |\r\n| --------------- | ----------------- | ----------------- |\r\n| Catalog | Content | **Product and SKU Management** |\r\n\r\nThere are no applicable [predefined roles](https://help.vtex.com/en/tutorial/predefined-roles--jGDurZKJHvHJS13LnO7Dy) for this resource list. You must [create a custom role](https://help.vtex.com/en/tutorial/roles--7HKK5Uau2H6wxE1rH5oRbc#creating-a-role) and add at least one of the resources above in order to use this endpoint. To learn more about machine authentication at VTEX, see [Authentication overview](https://developers.vtex.com/docs/guides/authentication).\r\n\r\n>❗To prevent integrations from having excessive permissions, consider the [best practices for managing API keys](https://help.vtex.com/en/tutorial/best-practices-api-keys--7b6nD1VMHa49aI5brlOvJm) when assigning License Manager roles to integrations.","operationId":"GetProductbyid","parameters":[{"name":"Content-Type","in":"header","description":"Type of the content being sent.","required":true,"style":"simple","schema":{"type":"string","default":"application/json"}},{"name":"Accept","in":"header","description":"HTTP Client Negotiation _Accept_ Header. Indicates the types of responses the client can understand.","required":true,"style":"simple","schema":{"type":"string","default":"application/json"}},{"name":"productId","in":"path","description":"Product's unique numerical identifier.","required":true,"style":"simple","schema":{"type":"string","example":"1"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"example":{"Id":42,"Name":"Zoom Stefan Janoski Canvas RM SB Varsity Red","DepartmentId":2000089,"CategoryId":2000090,"BrandId":12121219,"LinkId":"stefan-janoski-canvas-varsity-red","RefId":"sr_1_90","IsVisible":true,"Description":"The Nike Zoom Stefan Janoski Men's Shoe is made with a premium leather upper for superior durability and a flexible midsole for all-day comfort. A tacky gum rubber outsole delivers outstanding traction.","DescriptionShort":"The Nike Zoom Stefan Janoski is made with a premium leather.","ReleaseDate":"2020-01-01T00:00:00","KeyWords":"Zoom,Stefan,Janoski","Title":"Zoom Stefan Janoski Canvas RM SB Varsity Re","IsActive":true,"TaxCode":"","MetaTagDescription":"The Nike Zoom Stefan Janoski Men's Shoe is made with a premium leather upper for superior durability and a flexible midsole for all-day comfort. A tacky gum rubber outsole delivers outstanding traction.","SupplierId":1,"ShowWithoutStock":true,"AdWordsRemarketingCode":"","LomadeeCampaignCode":"","Score":1},"schema":{"type":"object","properties":{"Id":{"type":"integer","description":"Product's unique numerical identifier."},"Name":{"type":"string","description":"Product's name. Limited to 150 characters."},"DepartmentId":{"type":"integer","description":"Department ID according to the product's category."},"CategoryId":{"type":"integer","description":"Category ID associated with this product."},"BrandId":{"type":"integer","description":"Brand ID associated with this product."},"LinkId":{"type":"string","description":"Slug that will be used to build the product page URL. If it not informed, it will be generated according to the product's name replacing spaces and special characters by hyphens (`-`)."},"RefId":{"type":"string","description":"Product Reference Code. The limit for the product `RefId` is 100 characters."},"IsVisible":{"type":"boolean","description":"Shows (`true`) or hides (`false`) the product in search result and product pages, but the product can still be added to the shopping cart. Usually applicable for gifts."},"Description":{"type":"string","description":"Product description."},"DescriptionShort":{"type":"string","description":"Short product description. This information can be displayed on both the product page and the shelf, using the following controls:\r\n Store Framework: `$product.DescriptionShort`.\r\n Legacy CMS Portal: `